Subject: bug#4374 closed by Glenn Morris <[email-masked]> (Re: bug#4374: find-file-at-point doesn't recognize absolute file paths with trailing line numbers. (Patch included.))

From: [email-masked] (Emacs bug Tracking System)
Date: Wed, 09 Sep 2009 02:45:04 +0000

This is an automatic notification regarding your bug report
which was filed against the emacs package:

#4374: find-file-at-point doesn't recognize absolute file paths with trailing line numbers. (Patch included.)

It has been closed by Glenn Morris <[email-masked]>.

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact Glenn Morris <[email-masked]> by
replying to this email.

-- 
4374: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=4374
Emacs Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#4374: find-file-at-point doesn't recognize absolute file paths with trailing line numbers. (Patch included.)
From: Glenn Morris <[email-masked]>
To: [email-masked]
Date: Tue, 08 Sep 2009 22:36:42 -0400

hans bennekop wrote:

> I frequently run across absolute file paths with a trailing line-number 
>   specification, e.g. ~/foo.el:7.
> Find-file-at-point fails to recognize the file part and falls back to 
> opening the parent dir.

(I guess path-separator is not ":" on your platform, since if it is
this seems to work for me.)

> Here's the (trivial) fix:

I installed something similar.

Subject: find-file-at-point doesn't recognize absolute file paths with trailing line numbers. (Patch included.)
From: hans bennekop <[email-masked]>
To: [email-masked]
Date: Tue, 08 Sep 2009 16:42:29 +0200

I frequently run across absolute file paths with a trailing line-number 
   specification, e.g. ~/foo.el:7.
Find-file-at-point fails to recognize the file part and falls back to 
opening the parent dir.
Here's the (trivial) fix:
--- emacs-23/lisp/ffap.el
+++ emacs-23/lisp/ffap-fix.el
@@ -1170,7 +1170,7 @@
           ;; remote, you probably already have a connection.
           ((and (not abs) (ffap-file-exists-string name)))
           ;; Try stripping off line numbers; good for compilation/grep 
output.
-         ((and (not abs) (string-match ":[0-9]" name)
+         ((and (string-match ":[0-9]" name)
                 (ffap-file-exists-string (substring name 0 
(match-beginning 0)))))
           ;; Try stripping off prominent (non-root - #) shell prompts
  	 ;; if the ffap-shell-prompt-regexp is non-nil.